Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.linemerge
Class LineMergeEdge

    java.lang.Object
      com.vividsolutions.jts.planargraph.GraphComponent
          com.vividsolutions.jts.planargraph.Edge
              com.vividsolutions.jts.operation.linemerge.LineMergeEdge

    public class LineMergeEdge

extends Edge

An edge of a `LineMergeGraph`. The `marked` field indicates whether this Edge has been logically deleted from the graph.

Version:
  1.7

Field Summary

Fields inherited from class com.vividsolutions.jts.planargraph.Edge
`dirEdge`

Fields inherited from class com.vividsolutions.jts.planargraph.GraphComponent
`isMarked, isVisited`

Constructor Summary
`LineMergeEdge(LineString line)` Constructs a LineMergeEdge with vertices given by the specified LineString.

Method Summary
`LineString` | `getLine()` Returns the LineString specifying the vertices of this edge.

Methods inherited from class com.vividsolutions.jts.planargraph.Edge
`getDirEdge, getDirEdge, getOppositeNode, isRemoved, setDirectedEdges`

Methods inherited from class com.vividsolutions.jts.planargraph.GraphComponent
`getComponentWithVisitedState, getContext, getData, isMarked, isVisited, setContext, setData, setMarked, setMarked, setVisited, setVisited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LineMergeEdge

    public LineMergeEdge(LineString line)

  Constructs a LineMergeEdge with vertices given by the specified LineString.

Method Detail

### getLine

    public LineString getLine()

  Returns the LineString specifying the vertices of this edge.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD